@echo off

REM ------------------------------------------------------------------------------------------------
REM Set the following options to your needs. Targetpath=~ copies your file into your home directory.
REM Alternatively set any desired path as Targetpath.
REM ------------------------------------------------------------------------------------------------
REM This batch file uses some tools. Please respect their licences:
REM PSCP: http://www.chiark.greenend.org.uk/~sgtatham/putty/licence.html
REM WasFile and Wait: http://home.mnet-online.de/horst.muc/wcon.htm
REM ------------------------------------------------------------------------------------------------


SET File=index.html
SET User=dssadmin
SET Password=hier_eintragen
SET IP=192.168.178.7
SET Targetpath=/www/pages/add-ons/jalousien/
SET Port=22

SET Toolpath=Tools

echo.
echo dSS-Auto-Upload v0.2, aizo, christoph.hofmann@aizo.com
echo ------------------------------------------------------

if not exist %File% goto FileNotFound
if not exist %ToolPath%\pscp.exe goto pscpNotFound
if not exist %ToolPath%\wasfile.exe goto wasfileNotFound
if not exist %ToolPath%\wait.exe goto waitNotFound

goto allOk

:FileNotFound
echo File %File% not found.
goto quit

:pscpNotFound
echo Tool pscp.exe not found in %Toolpath%\
goto quit

:wasfileNotFound
echo Tool WasFile.exe not found in %Toolpath%\
goto quit

:waitfileNotFound
echo Tool wait.exe not found in %Toolpath%\
goto quit

:allOk
copy %File% autoupload_%File% >>NUL

echo Press ESC to quit.
echo Waiting for modifications in file %File%...
echo.

:docheck
%Toolpath%\WasFile %File% modified not sametime autoupload_%File%
if not %ERRORLEVEL% == 0 goto notmodified

:modified
echo %File% was modified on %date% %time%
%Toolpath%\pscp -q -P %Port% -pw %Password% -scp %File% %User%@%IP%:%Targetpath%
copy %File% autoupload_%File% >>NUL

:notmodified
%Toolpath%\wait 0.2
if %ERRORLEVEL% == 27 goto quit

goto docheck

:quit
if exist autoupload_%File% del autoupload_%File%
echo.
echo Quit.
echo.

